/*
 * identify.c: machine identification.
 *
 * Copyright (C) Harald Koerfgen
 *
 * $Id: identify.c,v 1.7 2000/06/08 00:06:14 jpick Exp $
 */
#include <linux/init.h>
#include <linux/config.h>
#include <linux/kernel.h>
#include <linux/string.h>

#include <asm/bootinfo.h>

#ifdef CONFIG_VTECH_HELIO
#define PROM_DEBUG
#endif

#ifdef PROM_DEBUG
extern int prom_printf(char *, ...);
#endif

extern unsigned long mips_machgroup;
extern unsigned long mips_machtype;

void __init prom_identify_arch (void)
{
	/*
	 * Detect machine type and set machine type and machine group.
	 * I guess we pretty much depend on information the
	 * bootloader passed to us. Use the configuration for now.
	 */
	mips_machgroup = MACH_GROUP_R39XX;
	mips_machtype = MACH_R39XX_UNKNOWN;

#ifdef CONFIG_PHILIPS_NINO
	mips_machtype = MACH_R39XX_PHILIPS_NINO;
#endif
#ifdef CONFIG_PHILIPS_VELO
	mips_machtype = MACH_R39XX_PHILIPS_VELO;
#endif
#ifdef CONFIG_SHARP_MOBILON
	mips_machtype = MACH_R39XX_SHARP_MOBILON;
#endif
#ifdef CONFIG_COMPAQ_8XX_201X
	mips_machtype = MACH_R39XX_COMPAQ;
#endif
#ifdef CONFIG_VTECH_HELIO
	mips_machtype = MACH_R39XX_VTECH_HELIO;
#endif

#ifdef PROM_DEBUG
	prom_printf("mips_machgroup 0x%08x, mips_machtype 0x%08x\n", mips_machgroup, mips_machtype);
#endif

}


