/*
 *
 * Interrupt handler for Toshiba TX3920 Processor core.
 *
 * Copyright (C) 2000 Yoichi Yuasa <yuasa@users.sorceforge.net>
 * Copyright (C) 1999 Harald Koerfgen
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 */
#include <asm/asm.h>
#include <asm/regdef.h>
#include <asm/mipsregs.h>
#include <asm/stackframe.h>
#include <asm/tx3920.h>

/*
 * IRQ mapping
 *	1: IRQLOW
 *	0: IRQHIGH
 */
		.text
		.set	noreorder
		.align	5
		NESTED(tx3920_handle_int, PT_SIZE, ra)
		.set	noat
		SAVE_ALL
		CLI
		.set	at

		/*
		 * Get pending Interrupts
		 */
		mfc0	t0,CP0_CAUSE		# get pending interrupts
		mfc0	t2,CP0_STATUS
		and	t0,t2			# isolate allowed ones

		andi	t2, t0, IE_IRQ4		# IRQHIGH?
		beq	t2, IE_IRQ4, handle_it
		 li	a0, 0

		andi	t2, t0, IE_IRQ2		# IRQLOW?
		beq	t2, IE_IRQ2, handle_it
		 li	a0, 1
		nop

spurious:	j	spurious_interrupt
		 nop

handle_it:	jal	do_IRQ
		 move	a1,sp
		j	ret_from_irq
		 nop
		
		END(tx3920_handle_int)

