/*
 * identify.c: machine identification.
 *
 * Copyright (C) Harald Koerfgen
 *
 * $Id: identify.c,v 1.5 2000/04/20 15:25:00 harald Exp $
 */
#include <linux/init.h>
#include <linux/config.h>
#include <linux/kernel.h>
#include <linux/string.h>

#include <asm/bootinfo.h>

#undef PROM_DEBUG

#ifdef PROM_DEBUG
extern int prom_printf(char *, ...);
#endif

extern unsigned long mips_machgroup;
extern unsigned long mips_machtype;

void __init prom_identify_arch (void)
{
	/*
	 * Detect machine type and set machine type and machine group
	 * I guess we pretty much depend on information the
	 * bootloader passed to us. Use the configuration for now.
 */
	mips_machgroup = MACH_GROUP_R39XX;
	mips_machtype = MACH_R39XX_UNKNOWN;

#ifdef CONFIG_SHARP_TELIOS
	mips_machtype = MACH_R39XX_SHARP_TELIOS;
#endif

#ifdef PROM_DEBUG
	prom_printf("mips_machgroup 0x%08x, mips_machtype 0x%08x\n", mips_machgroup, mips_machtype);
#endif

}


