/*
 * linux/arch/mips/tx3920/sharp_telios.c
 *
 * Sharp Telios HC-AJ2/HC-VJ1C Support.
 *
 * Copyright (C) 2001 AXE,Inc.
 *
 *  Author: Hirokazu FUKUI<fuku@axe-inc.co.jp>
 */
#ifndef __SHARP_TELIOS_H
#define __SHARP_TELIOS_H

#include <asm/plum2.h>
#include <asm/kseg2.h>
#include <asm/tx3920.h>

/* IO */
#define TELIOS_IO_RS232C_EN		BIT(15+16)
#define TELIOS_IO_UARTA_DTR		BIT(14+16)
#define TELIOS_IO_UARTA_CD		BIT(13)
#define TELIOS_IO_BUTTON_SURF		BIT(8)
#define TELIOS_IO_BUTTON_MAIN		BIT(7)
#define TELIOS_IO_DC_JACK_N		BIT(6)
#define TELIOS_IO_PLUM_INT		BIT(5)
#define TELIOS_IO_LED_COMM		BIT(4+16)
#define TELIOS_IO_LED_MAIL		BIT(3+16)
#define TELIOS_IO_MBU_CLOCK		BIT(2+16)
#define TELIOS_IO_MBU_DATA_OUT		BIT(1+16)
#define TELIOS_IO_MBU_DATA_IN		BIT(0)

/* MFIO */
#define TELIOS_MFIO_UARTA_CTS		BIT(27)
#define TELIOS_MFIO_KEY_INT		BIT(12)
#define TELIOS_MFIO_OPTP_T_RDY		BIT(11)
#define TELIOS_MFIO_OPTP_C_REQ		BIT(10)
#define TELIOS_MFIO_OPTP_S_ENB_N	BIT(9)
#define TELIOS_MFIO_OPTP_RESET		BIT(6)
#define TELIOS_MFIO_UARTA_RTS		BIT(4)

/* LCD backlight */
#define BKLGT_MAXLIGHT	8
#define BKLGT_LIGHTVAL(n)	(((n) >= BKLGT_MAXLIGHT? BKLGT_MAXLIGHT: (n)) * 10)

#define BKLGT_REG_AT(x)		(*((volatile u16 *)(bklight_base + x)))
#define BKLGT_BASE      	(TX39_USERADDR_CS1 + 0x01000000)
#define BackLight_VR		BKLGT_REG_AT(0x0)
#define BackLight_Period	BKLGT_REG_AT(0x4)
#define BackLight_Reset		BKLGT_REG_AT(0x8)
#define BackLight_Delay		BKLGT_REG_AT(0xc)

#define BKLGT_VR_VR0		BIT(6)
#define BKLGT_PERIOD_EN		BIT(8)
#define BKLGT_DELAY_IO0		BIT(8)
#define BKLGT_DELAY_IO1		BIT(9)	/* PDC DETECT (0:none/1:connected) */
#define BKLGT_DELAY_IO2		BIT(10)	/* touch panel pressure check mode */
					/* (0:normal/1:check mode)*/
#define BKLGT_RESET_MASK	0x1ff

extern unsigned long bklight_base;

extern void sharp_telios_map_bklgt_io(void);
#endif
