/* $Id: sib.h,v 1.1.2.1 2001/01/17 10:21:19 fuku Exp $
 *
 * SIB - Routines for Serial Interconnect Bus on r39xx
 *       (used for sound, telecom, touchscreen, and other interfaces)
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) 2000 Jim Pick <jim@jimpick.com>
 */


struct sib_write_struct {
	unsigned long data;
	void (*next_read_callback)(void);	
};

/* Prototypes */

void sib_init(void);
int sib_write(int reg, unsigned int data);
void sib_write_check(int reg, unsigned int data);
int sib_write_read(int reg, unsigned int data,
		   void (*next_read_callback)(void));
int sib_read(int reg, void (*next_read_callback)(void));
void sib_read_check(int reg, void (*next_read_callback)(void));


