/*
 * SPI - Routines for SPI Module on TMPR3922
 *       (The SPI is a serial interface consisting of clock, data out and
 *         data in)
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) 2001 Hirokazu FUKUI <fuku@axe-inc.co.jp>
 */

#ifndef __SPI_H__
#define __SPI_H__

#include <linux/init.h>
#include <asm/tx3920.h>

#define SPI_BUFAVAILINT INT5_SPIBUFAVAILINT
#define SPI_ERRINT      INT5_SPIERRINT
#define SPI_RCVINT	INT5_SPIRCVINT
#define SPI_EMPTYINT	INT5_SPIEMPTYINT

void (*spi_bufvalint_handler)(void);
void (*spi_errint_handler)(void);
void (*spi_rcvint_handler)(void);
void (*spi_emptyint_handler)(void);

void spi_enable_interrupt(int int_flags);
extern void spi_enable(int enable);
extern int spi_is_empty(void);
extern int spi_put_word(int w);
extern int spi_get_word(void);

extern void __init spi_init(void);
#endif /* __SPI_H__ */
