#ifndef __ASM_MIPS_KSEG2_H
#define __ASM_MIPS_KSEG2_H

#include <asm/addrspace.h>

#define KSEG2_MM_SIZE	0x10000000
#define KSEG2_MM_START	KSEG2
#define KSEG2_MM_END	(KSEG2 + KSEG2_MM_SIZE)

#define KSEG2_NONCACHE	0x00000800
#define KSEG2_DIRTY	0x00000400
#define KSEG2_VALID	0x00000200
#define KSEG2_GLOBAL	0x00000100
#define KSEG2_FLAGS_ALL	0x00000f00

extern int kseg2_page_fault (unsigned long kseg2_addr);
extern int kseg2_page_alloc (unsigned long phys_addr, unsigned long size,
                             unsigned long flags, unsigned long *kseg2_addr);
extern void kseg2_page_free (unsigned long phys_addr, unsigned long size,
                             unsigned long kseg2_addr);
extern void kseg2_init (void);

#endif /* __ASM_MIPS_KSEG2_H */
